net.minecraft.client.renderer.tileentity

## Class TileEntitySkullRenderer

- java.lang.Object
- - net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer
  - - net.minecraft.client.renderer.tileentity.TileEntitySkullRenderer

-     public class TileEntitySkullRenderer
      extends TileEntitySpecialRenderer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TileEntitySkullRenderer` | `field_147536_b`

    - ### Fields inherited from class net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer

      `field_147501_a`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntitySkullRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_147497_a(TileEntityRendererDispatcher p_147497_1_)`
    `void` | `func_147530_a(float p_147530_1_, float p_147530_2_, float p_147530_3_, int p_147530_4_, float p_147530_5_, int p_147530_6_, java.lang.String p_147530_7_)`
    `void` | `renderTileEntityAt(TileEntity p_147500_1_, double p_147500_2_, double p_147500_4_, double p_147500_6_, float p_147500_8_)`
    `void` | `renderTileEntityAt(TileEntitySkull p_147531_1_, double p_147531_2_, double p_147531_4_, double p_147531_6_, float p_147531_8_)`

    - ### Methods inherited from class net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer

      `bindTexture, func_147496_a, func_147498_b`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_147536_b

          public static TileEntitySkullRenderer field_147536_b

  - ### Constructor Detail

    - #### TileEntitySkullRenderer

          public TileEntitySkullRenderer()

  - ### Method Detail

    - #### renderTileEntityAt

          public void renderTileEntityAt(TileEntitySkull p_147531_1_,
                                double p_147531_2_,
                                double p_147531_4_,
                                double p_147531_6_,
                                float p_147531_8_)

    - #### func_147497_a

          public void func_147497_a(TileEntityRendererDispatcher p_147497_1_)

      Overrides:
        `func_147497_a` in class `TileEntitySpecialRenderer`

    - #### func_147530_a

          public void func_147530_a(float p_147530_1_,
                           float p_147530_2_,
                           float p_147530_3_,
                           int p_147530_4_,
                           float p_147530_5_,
                           int p_147530_6_,
                           java.lang.String p_147530_7_)

    - #### renderTileEntityAt

          public void renderTileEntityAt(TileEntity p_147500_1_,
                                double p_147500_2_,
                                double p_147500_4_,
                                double p_147500_6_,
                                float p_147500_8_)

      Specified by:
        `renderTileEntityAt` in class `TileEntitySpecialRenderer`